import * as z from 'zod';
export const AiSettingsAggregateResultSchema = z.object({  _count: z.object({
    id: z.number(),
    userId: z.number(),
    apiKey: z.number(),
    aiEnabled: z.number(),
    openAiKey: z.number(),
    openAiEnabled: z.number(),
    claudeAiKey: z.number(),
    claudeAiEnabled: z.number(),
    claudeAiModel: z.number(),
    openAiModel: z.number(),
    googleAiModel: z.number(),
    dentalMgmtKey: z.number(),
    dentalMgmtEnabled: z.number(),
    afterHoursEnabled: z.number(),
    openPhoneReply: z.number(),
    user: z.number()
  }).optional(),
  _sum: z.object({
    id: z.number().nullable(),
    userId: z.number().nullable()
  }).nullable().optional(),
  _avg: z.object({
    id: z.number().nullable(),
    userId: z.number().nullable()
  }).nullable().optional(),
  _min: z.object({
    id: z.number().int().nullable(),
    userId: z.number().int().nullable(),
    apiKey: z.string().nullable(),
    openAiKey: z.string().nullable(),
    claudeAiKey: z.string().nullable(),
    claudeAiModel: z.string().nullable(),
    openAiModel: z.string().nullable(),
    googleAiModel: z.string().nullable(),
    dentalMgmtKey: z.string().nullable()
  }).nullable().optional(),
  _max: z.object({
    id: z.number().int().nullable(),
    userId: z.number().int().nullable(),
    apiKey: z.string().nullable(),
    openAiKey: z.string().nullable(),
    claudeAiKey: z.string().nullable(),
    claudeAiModel: z.string().nullable(),
    openAiModel: z.string().nullable(),
    googleAiModel: z.string().nullable(),
    dentalMgmtKey: z.string().nullable()
  }).nullable().optional()});